*{
    box-sizing: border-box;
}

body{
    font-family: 'Poppins', sans-serif;
    
  
    margin:0;
    
    
}


.navbar {
    display:flex;
    flex-direction: row;
    justify-content: space-between;
   background-color:white;
   padding-left: 140px;
   padding-right: 140px;
   align-items: center;
   position:fixed;
   z-index: 1000;
   right: 0;
   left:0;
   top:0;
   overflow: hidden;
 
}



.navbar .icon {
  display: none;
}

.navbar .a2, .navbar .a3,.navbar .a4 {
    text-decoration: none;
     color:#0C1C0D;
}

.navbar .a1{
     color:#3D8C40;
     text-decoration: none;
}

.navbar .a2:hover {
    color:white;
    background-color: #3D8C40;
    border-style: none;
    padding: 8px 8px;
    border-radius: 4px;

  }

  .navbar .a3:hover {
    color:white;
    background-color: #3D8C40;
    border-style: none;
    padding: 8px 8px;
    border-radius: 4px;

  }

  .navbar .a4:hover {
    color:white;
    background-color: #3D8C40;
    border-style: none;
    padding: 8px 8px;
    border-radius: 4px;

  }

.p1{
    color:#3D8C40;
    flex:1;
    font-weight: bold;
    font-size: 1.5vw;
}

.p2,.p3,.p4{
    color:#0C1C0D;
    margin-right: 50px;
    font-weight:500;
     font-size: 1vw;
}

.introduction{
    
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-left: 140px;
   padding-right: 140px;
   padding-top: 130px;
   

}

.leftIntro div{
    margin-bottom: 20px;
}

.introshort{
    color:#142F15;
    font-weight: bold;
    font-size:4vw;
    line-height: 70px;
    /* width:690px; */
    white-space: pre-wrap;
}

.introshort span{
    color:#3D8C40;
    
}
.description{
    /* width:680px; */
    color:#0C1C0D;
    font-size:1.2vw;
    margin-top: -70px;
}

.letsconnect{
    color: #3D8C40;
    font-size: 112.5%;
    font-weight: 600;
}

.img1{
    height:30px;
    width:30px;
}

.img2{
    height:25px;
    width:25px;
}

.img3{
    height:36px;
    width:36px;
}

.img4{
    height:30px;
    width:30px;
}

.connectimg {
    display:flex;
    flex-direction: row;
    align-items: center;
   
}

.connectimg img{
     margin-right: 10px;
}

.rightIntro{
    margin-left: 80px;
    margin-top: 100px;
}

.rightIntro img{
    width:60%;
    height:40%;
}

.rightIntro p{
    color: #3D8C40;
    font-weight: 600;
    font-size:1.2vw;
    margin-top: -3px;
}

.projects{
 
    width:100%;
   height: 950px;
   background-color: #e4f5e4;
     border-top-left-radius: 120px;
  border-bottom-right-radius: 120px;
  
  
}

.projects img{
 
    height:400px;
    width:80%;
    margin-left: 130px;
    margin-bottom: 20px;
}

.projects p{
    text-align: center;
    color: 142F15;
    font-weight: 600;
    font-size: 2vw;
    margin-bottom: 20px;
}

.about{
    display:grid;
    grid-template-columns: 1fr 1fr;
    padding-left: 140px;
    padding-top: 25px;
}

.aboutM{
    color: #142F15;
    font-weight: bold;
    font-size: 50px;
}

.aboutD{
    color: #0C1C0D;
}

.skills{
    margin-left: 120px;
    display: flex;
    flex-direction: column;
}

.skills p{
    color: #142F15;
    font-weight: bold;
    font-size: 50px;
}

.skills div{
    margin-bottom: 20px;
}
.skills img{
    margin-left: 10px;
}

.download{
   display: flex;
flex-direction: row;
justify-content: center;
align-items: center;
padding: 5px ;
gap: 8px;

position: absolute;
width: 245px;
height: 45px;
border: 2px solid #3D8C40;
border-radius: 10px;
margin-top: 10px;
color:#3D8C40;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer;
}

.download:hover{

    background-color: #3D8C40;
    color:white;
   

}

.download img{
    width:20px;
    height:20px;
}


.contact{
    height: 602px;
left: 0px;
background: #3D8C40;
display: flex;
flex-direction: column;
align-items: center;
margin-top: 130px;
}

.contactMe{
    font-weight: 700;
font-size: 40px;
color: #FFFFFF;
}

input{
    
width: 40%;
height: 58px;
background: #FFFFFF;
border-radius: 10px;
border-style: none;
margin-bottom: 20px;
padding-left: 20px;
}

input::placeholder {
  font-family: 'Poppins';
font-style: normal;
font-weight: 400;
font-size: 16px;
line-height: 70px;
color: #949494;

}

textarea{
    width: 40%;
    /* height: 200px; */
    background: #FFFFFF;
    border-radius: 30px;
    padding-left: 20px;
    padding-top: 5px;
    margin-bottom: 7px;

}

textarea::placeholder{
    font-family: 'Poppins';
font-style: normal;
font-weight: 400;
font-size: 16px;
line-height: 70px;
color: #949494;
padding-left: 20px;
padding-top: 5px;

}

.sendButton{
 

padding: 10px 40px;
gap: 10px;
width: 117px;
height: 46px;


background: #FFFFFF;
border: 1px solid #43862B;
box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
border-radius: 10px;
color:#3D8C40;
font-weight: 600;
cursor: pointer;
}

.sendButton:hover{
    background-color:#75b45e;
    color: white;
    font-weight: bold;
}

/* mobile screen media queries */
@media (min-width: 971px) {
    /* 
     .rightIntro{
        margin-left: 120px;
        margin-top: 100px;
    
    }
    .description{
        width:unset;
        color:#0C1C0D;
        font-size:16px;
        margin-top: -70px;
    }
         */
    .introshort {
        width: 125%;
    }

    .rightIntro {
        margin-left: 170px;
    }

    .rightIntro img {
        width: 80%;
    }

    .description {
        font-size: 16px;
    }
        
    }
    



@media screen and (max-width: 968px) {

    .navbar {
        padding-left: 40px;
        padding-right: 40px;
    }

    .p1 {
        font-size: 20px;
    }

    .p2,
    .p3,
    .p4 {
        font-size: 10px;
    }

    .rightIntro {
        display: none;
    }

    .introshort {
        font-size: 35px;
    }

    .introduction {
        display: grid;
        grid-template-columns: 1fr;
        padding-left: 40px;
        padding-right: 40px;
        padding-top: 90px;
    }
    
    .description {
        font-size: 20px;
    }

    .projects p {
        font-size: 25px;
    }

    .projects img {
       margin-left: 61px;
    }

    .about {
        padding-left: 60px;
        padding-right: 60px;
    }

    input,
    textarea {
        width: 80%;
    }
  }

  @media screen and (max-width: 968px) {

    .navbar {
        padding-left: 40px;
        padding-right: 40px;
    }

    .p1 {
        font-size: 20px;
    }

    .p2,
    .p3,
    .p4 {
        font-size: 10px;
    }

    .rightIntro {
        display: none;
    }

    .introshort {
        font-size: 35px;
    }

    .introduction {
        display: grid;
        grid-template-columns: 1fr;
        padding-left: 40px;
        padding-right: 40px;
        padding-top: 90px;
    }
    
    .description {
        font-size: 20px;
    }

    .projects p {
        font-size: 25px;
    }

    .projects img {
       margin-left: 61px;
    }

    .about {
        padding-left: 60px;
        padding-right: 60px;
    }

    input,
    textarea {
        width: 80%;
    }
  }

  @media screen and (max-width: 600px) {
    .navbar p:not(:first-child) {display: none;}
  
    .navbar a.icon {
      float: right;
      display: block;
    }
  
    .navbar {
      padding-left: 1rem;
     padding-right: 1rem;
  
    }
  
    .p1 {
      font-size: 20px;
    }
  
    .introduction{
       display: grid;
      grid-template-columns: 1fr ;
      padding-left: 16px;
     padding-right: 16px;
     padding-top: 70px;
     margin-bottom: 10px;
    }
  
    .introshort{
         line-height: 35px;
         font-size: 22px;
    }
  
    .description{
       margin-top: -30px;
       font-size: 16px;
       width: unset;
  }
  .letsconnect{
      font-size: 15px;
      
  }
  
  .img1{
      height:23px;
      width:23px;
  }
  
  .img2{
      height:20px;
      width:20px;
  }
  
  .img3{
      height:28px;
      width:28px;
  }
  
  .img4{
      height:25px;
      width:25px;
  }
  
  .connectimg{
      margin-top: -12px;
  }
  
  .rightIntro{
      margin-left: unset;
      margin-top: 10px;
  }
  
  .rightIntro img{
      width:auto;
      height:65px;
  }
  
  .rightIntro p{
      font-size:16px;
  }
  
  .projects{
   
      width:100%;
     height: 376px;
     background-color: #e4f5e4;
       border-top-left-radius: 40px;
    border-bottom-right-radius: 40px;
    padding-top: 0.1%;
    
    
  }
  
  .projects img{
   
      height:141px;
      width:90%;
      margin-left: 16px;
      margin-bottom: 15px;
  }
  
  .projects p{
      text-align: center;
      color: 142F15;
      font-weight: 600;
      font-size: 18px;
      margin-bottom: 9px;
     
  }
  
  .about{
      display:grid;
      grid-template-columns: 1fr ;
      padding-left: 16px;
      padding-top: unset;
      padding-right: 16px;
  }
  
  .aboutM{
      font-size: 25px;
  }
  .aboutD{
      margin-top:-10px ;
      font-size: 16px;
  }
  
  .download{
    
   padding: 5px ;
   gap: 8px;
   
   position: absolute;
   width: 175px;
   height: 33px;
   
   border-radius: 8px;
   
       font-size: 11px;
       margin-top: -5px;
       
   }
  
   .download img{
      width:15px;
      height:15px;
  }
  
  .skills{
      margin-left: -11px;
      display: flex;
      flex-direction: column;
      margin-top: 35px;
  }
  
  .skills p{
      color: #142F15;
      font-weight: bold;
      font-size: 25px;
      margin-left: 10px;
      margin-bottom: 10px;
  }
  
  .skills div{
      margin-bottom: -70px;
  }
  .skills img{
      margin-left: 10px;
      height:40%;
      width:auto;
  }
  
  .contact{
      height: 390px;
  left: 0px;
  background: #3D8C40;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 40px;
  }
  
  .contactMe{
      font-weight: 700;
  font-size: 22px;
  color: #FFFFFF;
  }
  
  input{
      
  width: 60%;
  height: 62px;
  background: #FFFFFF;
  border-radius: 10px;
  border-style: none;
  margin-bottom: 20px;
  padding-left: 20px;
  }
  
  input::placeholder {
    font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 70px;
  color: #949494;
  
  }
  
  textarea{
      width: 60%;
     border-radius: 10px;
    
  }
  
  textarea::placeholder{
     font-size: 13px;
     padding-left: 0px;
  }
  
  .sendButton{
   
  
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      padding: 10px 40px;
      gap: 10px;
      
      font-size: 13px;
      width: 92px;
      height: 32px;
      
      
      background: #FFFFFF;
      border: 1px solid #43862B;
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      border-radius: 10px;
  }
  
  
  
  }

  @media screen and (max-width: 600px) {
    .navbar.responsive {position: relative;}
    .navbar.responsive a.icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .navbar.responsive p{
      float: none;
      display: block;
      text-align: left;
      color:white;
      margin-right: 0px;
    }
  
    .navbar.responsive h1 .a1{
      font-size: 25px;
    }
  
    .navbar.responsive {
      flex-direction: column;
      background-color: #3D8C40;
      /* position: fixed; */
      
    }
  
    .navbar.responsive a{
      color:white;
      font-size: 18px;
    }
  
    .navbar .a2:hover{
      color:#3D8C40;
      background-color: white;
      border-style: none;
      padding: 8px 8px;
      border-radius: 4px;
  
    }
  
    .navbar .a3:hover{
      color:#3D8C40;
      background-color: white;
      border-style: none;
      padding: 8px 8px;
      border-radius: 4px;
  
    }
  
    .navbar .a4:hover{
      color:#3D8C40;
      background-color: white;
      border-style: none;
      padding: 8px 8px;
      border-radius: 4px;
  
    }
    
  }

@media screen and (max-width: 368px) {
    .skills div{
margin-bottom: -140px;
    }
}

@media screen and (max-width: 323px) {
    .skills div{
           height:40%;
    width:auto;
    
     
    }

    .skills img{
        margin-bottom: 80px;
    }

    .contact{
    
margin-top: -280px;
}
}

@media screen and (max-width: 323px) {
    .skills div{
           height:35%;
    width:auto;
    
     
    }

     .skills img{
        margin-bottom: 100px;
    }

    .contact{
    
margin-top: -360px;
} 
}






/* tablets screen media queries */








